### org.jfree.layouting.renderer

# Class AbstractStore

- `java.lang.Object`
- - `org.jfree.layouting.renderer.AbstractStore`

Implemented Interfaces:
  Cloneable, Serializable

Known Direct Subclasses:
  ContentStore, CounterStore, StringStore

`public abstract class AbstractStore`
`extends java.lang.Object`
`implements Cloneable, Serializable`

Creation-Date: 29.11.2006, 18:30:08

Author:
  Thomas Morgner

  ## Constructor Summary

  `AbstractStore()`

  ## Method Summary

  `protected void`

  `addInternal(String name, Object contents)`

  `Object`

  `clone()`

  `AbstractStore`

  `derive()`

  `protected Object`

  `getFirstInternal(String name)`

  `protected Object`

  `getInitialInternal(String name)`

  `protected Object`

  `getLastInternal(String name)`

## Constructor Details

### AbstractStore

    public AbstractStore()

## Method Details

### addInternal

    protected void addInternal(String name,
                               Object contents)

### clone

    public Object clone()
                throws CloneNotSupportedException

### derive

    public AbstractStore derive()

### getFirstInternal

    protected Object getFirstInternal(String name)

### getInitialInternal

    protected Object getInitialInternal(String name)

### getLastInternal

    protected Object getLastInternal(String name)